bcdn = load('./bcdn_supp_log/url.bcdn-atomic.a2.s0.t8.b5000.parsed');
ncdn = load('./bcdn_supp_log/url.liblr.s6.t8.parsed');

obj = min(bcdn(:, 2));
obj = min(obj, min(ncdn(:, 2)));
space = 4;
x = ncdn(:, 1);
y = ncdn(:, 2);
semilogy(x(1:space:end), (y(1:space:end) - obj)/obj, 'b-x', 'markersize', 15);
hold on;
x = bcdn(:, 1);
y = bcdn(:, 2);
semilogy(x(1:space:end), (y(1:space:end) - obj)/obj, 'r-o', 'markersize', 15);
legend('NCDN', 'BCDN');
xlabel('Time (s)');
ylabel('Relative function value difference');
grid on;
set(gca,'fontsize', 35)
set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 8]);
saveas(gcf,'supp_fig1b','epsc');
xlim([0 3600]);
exit();
